Debian Bug report logs - #104373
Allow subdirectories under /usr/lib/cgi-bin

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: "R�mi Perrot" <remi.perrot@torrep.org>

Date: Wed, 11 Jul 2001 22:33:37 UTC

Severity: wishlist

Found in version 3.5.5.0

Fixed in version debian-policy/3.9.1.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to "R�mi Perrot" <remi.perrot@torrep.org>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Rémi Perrot" <remi.perrot@torrep.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [PROPOSAL] Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Thu, 12 Jul 2001 00:29:53 +0200
Package: debian-policy
Version: 3.5.5.0
Severity: wishlist

In section 12.5 of the policy it like that it is not possible to put
cgi script in /usr/lib/cgi-lib/<package-name>/<cgi-name>

If this is true, we will have more and more file name conflict, and
these conflict are quite hard to resolve due to link change across
the application. These already many package that violate this rules.

If this is false, please can we have more explanation in the policy.

Rémi Perrot




Tags added: fixed Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to `Allow subdirectories under /usr/lib/cgi-bin' from `[PROPOSAL] Subdirectory under /usr/lib/cgi-lib should be explicitly allowed'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. (Sat, 12 Jun 2010 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 12 Jun 2010 19:39:03 GMT) Full text and rfc822 format available.

Message #16 received at 104373@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Rémi Perrot <remi.perrot@torrep.org>
Cc: 104373@bugs.debian.org
Subject: Re: Bug#104373: Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Sat, 12 Jun 2010 12:35:41 -0700
"Rémi Perrot" <remi.perrot@torrep.org> writes:

> In section 12.5 of the policy it like that it is not possible to put
> cgi script in /usr/lib/cgi-lib/<package-name>/<cgi-name>

> If this is true, we will have more and more file name conflict, and
> these conflict are quite hard to resolve due to link change across
> the application. These already many package that violate this rules.

> If this is false, please can we have more explanation in the policy.

Despite its age, this bug is rather straightforward and is something we
really should have fixed years ago.  The current wording around locations
of CGI programs implies that subdirectories of /usr/lib/cgi-bin may not be
used, but of course this is very widely used in packages already in the
archive and works with a typical web server configuration.  Here is a
patch that explicitly allows this.

Objections or seconds?

diff --git a/policy.sgml b/policy.sgml
index 720150d..7dd0785 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -8184,11 +8184,13 @@ done
 		<example compact="compact">
 /usr/lib/cgi-bin/<var>cgi-bin-name</var>
 		</example>
-		and should be referred to as
+		or a subdirectory of that directory, and should be
+		referred to as
 		<example compact="compact">
 http://localhost/cgi-bin/<var>cgi-bin-name</var>
 		</example>
-
+		(possibly with a subdirectory name
+		before <var>cgi-bin-name</var>).
 	    </item>
 
 	    <item>

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 12 Jun 2010 19:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. (Sun, 13 Jun 2010 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 13 Jun 2010 09:09:04 GMT) Full text and rfc822 format available.

Message #23 received at 104373@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 104373@bugs.debian.org
Cc: Rémi Perrot <remi.perrot@torrep.org>
Subject: Re: Bug#104373: Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Sun, 13 Jun 2010 18:03:12 +0900
Le Sat, Jun 12, 2010 at 12:35:41PM -0700, Russ Allbery a écrit :
> 
> Despite its age, this bug is rather straightforward and is something we
> really should have fixed years ago.  The current wording around locations
> of CGI programs implies that subdirectories of /usr/lib/cgi-bin may not be
> used, but of course this is very widely used in packages already in the
> archive and works with a typical web server configuration.  Here is a
> patch that explicitly allows this.

Hi all,

will web servers find the CGI scripts automagically in /usr/lib/cgi-bin/<package>?

If not, there is not much advantage to move them under /usr/lib as it is done
now. Most other parts for packaged web sites are already in
/usr/share/<package>. For simple sites, having the CGIs in /usr/lib/cgi-bin/
makes the maintainer's task simpler as he does not have to write webserver
configuration files, but for more complex packages, it sometimes makes the task
harder, for instance when the CGI scripts need to be patched because relative
links are broken by the move. 

There were discussions along those lines on debian-devel a couple of monthes
ago. I suggest to seriously consider to drop the requirement to separate the
CGI scripts from the other files of the packaged websites.

Have a nice day,

-- 
Charles Plessy
Illkirch, France




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. (Sun, 13 Jun 2010 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 13 Jun 2010 10:18:03 GMT) Full text and rfc822 format available.

Message #28 received at 104373@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Charles Plessy <plessy@debian.org>, 104373@bugs.debian.org
Cc: Rémi Perrot <remi.perrot@torrep.org>
Subject: Re: Bug#104373: Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Sun, 13 Jun 2010 12:14:26 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jun 13, 2010 at 06:03:12PM +0900, Charles Plessy wrote:
> If not, there is not much advantage to move them under /usr/lib as it is done
> now. Most other parts for packaged web sites are already in
> /usr/share/<package>. For simple sites, having the CGIs in /usr/lib/cgi-bin/
> makes the maintainer's task simpler as he does not have to write webserver
> csonfiguration files, but for more complex packages, it sometimes makes the task
> harder, for instance when the CGI scripts need to be patched because relative
> links are broken by the move. 
>  
> There were discussions along those lines on debian-devel a couple of monthes
> ago. I suggest to seriously consider to drop the requirement to separate the
> CGI scripts from the other files of the packaged websites.

i don't think there's any *requirement*, as this is all in "should"
statements.  in isolation from outside context i think the change russ
describes makes sense, but generally speaking i think the web-related
suggestions in policy are very dated and much of it ought to be phased
out in deference to the webapps policy (or the webapps policy phased in)


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. (Sun, 13 Jun 2010 16:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 13 Jun 2010 16:33:02 GMT) Full text and rfc822 format available.

Message #33 received at 104373@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 104373@bugs.debian.org, Rémi Perrot <remi.perrot@torrep.org>
Subject: Re: Bug#104373: Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Sun, 13 Jun 2010 09:31:03 -0700
First off, I'm not sure what this discussion has to do with this proposal?
It might just be a tangent prompted by seeing a mention of this part of
Policy, which is fine, but I'm worried that I didn't explain the proposal
very well, since this seems unrelated.

Charles Plessy <plessy@debian.org> writes:
> Le Sat, Jun 12, 2010 at 12:35:41PM -0700, Russ Allbery a écrit :

>> Despite its age, this bug is rather straightforward and is something we
>> really should have fixed years ago.  The current wording around
>> locations of CGI programs implies that subdirectories of
>> /usr/lib/cgi-bin may not be used, but of course this is very widely
>> used in packages already in the archive and works with a typical web
>> server configuration.  Here is a patch that explicitly allows this.

> will web servers find the CGI scripts automagically in
> /usr/lib/cgi-bin/<package>?

That's the implication of this section.  Web servers should be configured
to serve that location by default.  This is pretty widely used already in
Debian.

> There were discussions along those lines on debian-devel a couple of
> monthes ago. I suggest to seriously consider to drop the requirement to
> separate the CGI scripts from the other files of the packaged websites.

I think this is a different question and a different bug.  It's probably
something that we should discuss as part of incorporating the webapps
policy.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. (Sun, 13 Jun 2010 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew McMillan <andrew@morphoss.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 13 Jun 2010 21:24:04 GMT) Full text and rfc822 format available.

Message #38 received at 104373@bugs.debian.org (full text, mbox):

From: Andrew McMillan <andrew@morphoss.com>
To: Russ Allbery <rra@debian.org>, 104373@bugs.debian.org
Cc: Rémi Perrot <remi.perrot@torrep.org>
Subject: Re: Bug#104373: Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Mon, 14 Jun 2010 09:21:42 +1200
[Message part 1 (text/plain, inline)]
On Sat, 2010-06-12 at 12:35 -0700, Russ Allbery wrote:
> "Rémi Perrot" <remi.perrot@torrep.org> writes:
> 
> > In section 12.5 of the policy it like that it is not possible to put
> > cgi script in /usr/lib/cgi-lib/<package-name>/<cgi-name>
> 
> > If this is true, we will have more and more file name conflict, and
> > these conflict are quite hard to resolve due to link change across
> > the application. These already many package that violate this rules.
> 
> > If this is false, please can we have more explanation in the policy.
> 
> Despite its age, this bug is rather straightforward and is something we
> really should have fixed years ago.  The current wording around locations
> of CGI programs implies that subdirectories of /usr/lib/cgi-bin may not be
> used, but of course this is very widely used in packages already in the
> archive and works with a typical web server configuration.  Here is a
> patch that explicitly allows this.
> 
> Objections or seconds?
> 
> diff --git a/policy.sgml b/policy.sgml
> index 720150d..7dd0785 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -8184,11 +8184,13 @@ done
>  		<example compact="compact">
>  /usr/lib/cgi-bin/<var>cgi-bin-name</var>
>  		</example>
> -		and should be referred to as
> +		or a subdirectory of that directory, and should be
> +		referred to as
>  		<example compact="compact">
>  http://localhost/cgi-bin/<var>cgi-bin-name</var>
>  		</example>
> -
> +		(possibly with a subdirectory name
> +		before <var>cgi-bin-name</var>).
>  	    </item>
>  
>  	    <item>

Seconded.

Cheers,
					Andrew.

-- 
------------------------------------------------------------------------
andrew (AT) morphoss (DOT) com                            +64(272)DEBIAN
        Wrinkles should merely indicate where smiles have been.
                             -- Mark Twain

------------------------------------------------------------------------

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. (Mon, 14 Jun 2010 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 14 Jun 2010 07:27:04 GMT) Full text and rfc822 format available.

Message #43 received at 104373@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 104373@bugs.debian.org
Cc: Rémi Perrot <remi.perrot@torrep.org>
Subject: Re: Bug#104373: Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Mon, 14 Jun 2010 16:21:31 +0900
Le Sun, Jun 13, 2010 at 09:31:03AM -0700, Russ Allbery a écrit :
> Charles Plessy <plessy@debian.org> writes:
> 
> > will web servers find the CGI scripts automagically in
> > /usr/lib/cgi-bin/<package>?
> 
> That's the implication of this section.  Web servers should be configured
> to serve that location by default.  This is pretty widely used already in
> Debian.

Hi Russ,

I have panicked a bit, thinking that webservers will not look in
/usr/lib/cgi-bin/ recursively. Also, I was shied by the "Should" level of the
recommendation (§11.5), understanding it like a strong request to use that
place, not like an indication that there can be a benefit to use it in some
cases.

Sorry for the noise, and have a nice day,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. (Thu, 15 Jul 2010 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 15 Jul 2010 01:24:03 GMT) Full text and rfc822 format available.

Message #48 received at 104373@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 104373@bugs.debian.org, Rémi Perrot <remi.perrot@torrep.org>
Subject: Re: Bug#104373: Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Thu, 15 Jul 2010 10:20:32 +0900
Le Mon, Jun 14, 2010 at 04:21:31PM +0900, Charles Plessy a écrit :
> 
> I have panicked a bit, thinking that webservers will not look in
> /usr/lib/cgi-bin/ recursively. Also, I was shied by the "Should" level of the
> recommendation (§11.5), understanding it like a strong request to use that
> place, not like an indication that there can be a benefit to use it in some
> cases.

I forgot to mention: I second the patch in message 38.

Have a nice day,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#104373; Package debian-policy. (Fri, 16 Jul 2010 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 16 Jul 2010 16:42:02 GMT) Full text and rfc822 format available.

Message #53 received at 104373@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 104373@bugs.debian.org, Rémi Perrot <remi.perrot@torrep.org>
Subject: Re: Bug#104373: Subdirectory under /usr/lib/cgi-lib should be explicitly allowed
Date: Fri, 16 Jul 2010 09:40:14 -0700
Charles Plessy <plessy@debian.org> writes:
> Le Mon, Jun 14, 2010 at 04:21:31PM +0900, Charles Plessy a écrit :

>> I have panicked a bit, thinking that webservers will not look in
>> /usr/lib/cgi-bin/ recursively. Also, I was shied by the "Should" level
>> of the recommendation (§11.5), understanding it like a strong request
>> to use that place, not like an indication that there can be a benefit
>> to use it in some cases.

> I forgot to mention: I second the patch in message 38.

Thanks!  I'm merging this change now.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 17:24:06 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Mon, 26 Jul 2010 05:06:03 GMT) Full text and rfc822 format available.

Notification sent to "R�mi Perrot" <remi.perrot@torrep.org>:
Bug acknowledged by developer. (Mon, 26 Jul 2010 05:06:03 GMT) Full text and rfc822 format available.

Message #60 received at 104373-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 104373-close@bugs.debian.org
Subject: Bug#104373: fixed in debian-policy 3.9.1.0
Date: Mon, 26 Jul 2010 05:02:06 +0000
Source: debian-policy
Source-Version: 3.9.1.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.1.0.dsc
  to main/d/debian-policy/debian-policy_3.9.1.0.dsc
debian-policy_3.9.1.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.1.0.tar.gz
debian-policy_3.9.1.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.1.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 104373@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Jul 2010 19:38:21 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.1.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 104373 175202 184064 186102 218897 232448 400322 402721 436105 445203 475101 477240 509932 509933 555977 561413 588750 589362 589605 589609
Changes: 
 debian-policy (3.9.1.0) unstable; urgency=low
 .
   * Policy: Include GPL version 1 in common-licenses
     Wording: Russ Allbery <rra@debian.org>
     Seconded: gregor herrmann <gregoa@debian.org>
     Seconded: Damyan Ivanov <dmn@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #436105
   * Policy: Libtool *.la files should generally not be installed
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Closes: #561413
   * Policy: Require dpkg-divert --package when adding/removing diversions
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Raphael Geissert <geissert@debian.org>
     Closes: #218897
   * Policy: Remove encouragement to create shlibs.local
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
   * Policy: Document alternate SONAME format with version before .so
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #509932
   * Policy: Architecture wildcards also allowed in binary relationships
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #400322
   * Policy: Say Conflicts should not be used unless necessary
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #402721
   * Policy: Remove obsolete _REENTRANT, require thread-safe libraries
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #475101
   * Policy: Allow subdirectories of /usr/lib/cgi-bin to be used
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #104373
   * Policy: More specific requirements around date-based versions
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Closes: #186102
   * Policy: Require slave alternatives for manual pages
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Closes: #184064
   * Policy: More explicit requirements around library SONAMEs
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu27@gmail.com>
     Closes: #509933
   * Policy: Only dpkg-gencontrol supports variable substitutions
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #589609
   * Policy: Ada Library Information files must be read-only
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Ludovic Brenta <ludovic@ludovic-brenta.org>
     Closes: #232448
   * Policy: Recommend /etc/logrotate.d/package for logrotate rules
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Thijs Kinkhorst <thijs@debian.org>
     Closes: #445203
   * Policy: Allow /bin/sh scripts to rely on XSI for kill and trap
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Seconded: Raphael Geissert <geissert@debian.org>
     Closes: #477240
   * Policy: Ownership and permissions for control information files
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #555977
   * Set the version of the Perl Policy to match the version of the Policy
     package.
   * Explain the Perl module package naming policy more explicitly and
     provide some examples.  (Closes: #175202)
   * Revise the footnote discussing shlibs creation to not talk about the
     switch to objdump as if it were a new innovation and to explicitly
     mention the NEEDED attribute as the source of dependency information.
   * Introduce "control information file" to refer to the contents of the
     Debian package control.tar.gz, following the dpkg documentation.  Use
     that terminology consistently, and change possibly confusing
     references to fields in control files to use "control field"
     uniformly.
   * Document that the first line of the changelog entry is conventionally
     an explanation for the upload if the uploader is not the regular
     maintainer.  Patch from Charles Plessy.  (Closes: #589605)
   * Fix typo in upgrading-checklist.  (Closes: #588750)
   * Fix formatting error in footnote to 7.7.  (Closes: #589362)
   * Remove ancient Conflicts and Replaces.
Checksums-Sha1: 
 1dc24a34db96f2c812fc560281cd3460256f72e7 1204 debian-policy_3.9.1.0.dsc
 af1c2192f6fc3c241618b48688f4d714aa630da2 690539 debian-policy_3.9.1.0.tar.gz
 1a94fda2ee6ad584efc2dab420178b993b028545 1852358 debian-policy_3.9.1.0_all.deb
Checksums-Sha256: 
 e81bc2f72659dd75a94ee4b6ba3dfe26ddf09811ece2e00cf2ebf9372ca68b98 1204 debian-policy_3.9.1.0.dsc
 7322f07e9bcd80dc3379f2545e7be7b93a2dc48b30b490b6277082024d98e847 690539 debian-policy_3.9.1.0.tar.gz
 facfbcbc037f7fb768cb9a42f72da3bff750922b8828fce633cc400012a71744 1852358 debian-policy_3.9.1.0_all.deb
Files: 
 10aae2bd3a3c14fb6853f26b9b97de55 1204 doc optional debian-policy_3.9.1.0.dsc
 3a8ac906da51c3574c6e92aa6c12af8e 690539 doc optional debian-policy_3.9.1.0.tar.gz
 182e7d0f26b29101150014c9bd2fa8eb 1852358 doc optional debian-policy_3.9.1.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxNE9EACgkQ+YXjQAr8dHZzsACg2tBvXhJKJNRtTDg2XwJdG1es
RzcAoI2YCA0+mnxQa4QapbxlH44szEML
=8Iyg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Sep 2010 07:36:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:03:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.